package cn.com.qmth.examcloud.common.dto.marking;



/**
 * 评卷项
 */
public class MarkItem extends IdEntity {

    enum ScoringType{
        /**
         * 根据给分间隔
         */
        INTERVAL,
        /**
         * 人工指定给分列表
         */
        MANUAL
    }

    private String paperId;

    private Long workId;

    private Long markRangeId;

    /**
     * 大题号
     */
    private int mainNumber;

    /**
     * 小题号
     */
    private int subNumber;
    
    /**
     * 全卷范围内排序
     */
    private int orders;

    /**
     * 分值
     */
    private double maxScore;

    /**
     * 给分方式
     */
    private ScoringType scoringType;

    /**
     * 给分间隔
     */
    private Double scoreInterval;

    /**
     * 给分列表
     */
    private String socreList;

    public MarkItem(){}

    public MarkItem(String paperId, int mainNumber,int subNumber,double maxScore, Double scoreInterval,int orders) {
        this.paperId = paperId;
        this.mainNumber = mainNumber;
        this.subNumber = subNumber;
        this.maxScore = maxScore;
        this.scoreInterval = scoreInterval == null ? 1 : scoreInterval;
        this.scoringType = ScoringType.INTERVAL;
        this.orders = orders;
    }

    public MarkItem(String paperId, int mainNumber,int subNumber,double maxScore,String socreList) {
        this.paperId = paperId;
        this.mainNumber = mainNumber;
        this.subNumber = subNumber;
        this.maxScore = maxScore;
        this.socreList = socreList == null ? String.valueOf(this.maxScore) : socreList;
        this.scoringType = ScoringType.MANUAL;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public int getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(int mainNumber) {
        this.mainNumber = mainNumber;
    }

    public int getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(int subNumber) {
        this.subNumber = subNumber;
    }

    public double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(double maxScore) {
        this.maxScore = maxScore;
    }

    public ScoringType getScoringType() {
        return scoringType;
    }

    public void setScoringType(ScoringType scoringType) {
        this.scoringType = scoringType;
    }

    public Double getScoreInterval() {
        return scoreInterval;
    }

    public void setScoreInterval(Double scoreInterval) {
        this.scoreInterval = scoreInterval;
    }

    public String getSocreList() {
        return socreList;
    }

    public void setSocreList(String socreList) {
        this.socreList = socreList;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public Long getMarkRangeId() {
        return markRangeId;
    }

    public void setMarkRangeId(Long markRangeId) {
        this.markRangeId = markRangeId;
    }

    public int getOrders() {
		return orders;
	}

	public void setOrders(int orders) {
		this.orders = orders;
	}

	@Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        MarkItem markItem = (MarkItem) o;

        if (getMainNumber() != markItem.getMainNumber()) return false;
        if (getSubNumber() != markItem.getSubNumber()) return false;
        if (getPaperId() != null ? !getPaperId().equals(markItem.getPaperId()) : markItem.getPaperId() != null)
            return false;
        return getWorkId() != null ? getWorkId().equals(markItem.getWorkId()) : markItem.getWorkId() == null;

    }

    @Override
    public int hashCode() {
        int result = getPaperId() != null ? getPaperId().hashCode() : 0;
        result = 31 * result + (getWorkId() != null ? getWorkId().hashCode() : 0);
        result = 31 * result + getMainNumber();
        result = 31 * result + getSubNumber();
        return result;
    }
}
